#ifndef MAPS_H
#define MAPS_H

#include<iostream>
#include<SDL.h>
#include"entity/player.h"
#include"entity/block.h"
#include"entity/powerup.h"
#include"camera.h"

class Maps{
    public:
        Maps(SDL_Renderer* render);
        int map1();
        int map2();
    private:
        void setRectSize(int rect[], int x, int y,int w,int h);

        SDL_Renderer* renderer;

        int sz;
        int screenWidth, screenHeight;
        const Uint8* currentKeyStates;
};

#endif // MAPS_H
